/*
 * timer.h
 *
 * Created: 16/04/2015 18:08:39
 *  Author: Reta
 */ 


#ifndef TIMER_H_
#define TIMER_H_

#include <stdint.h> // needed for uint_8
#include <avr/interrupt.h> // needed for interrupt
#include "../constantes.h"
#include <avr/io.h>

class timer1
{	
	private:
		static uint32_t millis;
		static uint8_t fract;
	public:
		static bool		isOn;
	
	public:
						timer1();
		static void		setup();
		static void		start();
		static void		stop();
		static uint32_t now();
		static void		off();
		static void		Overflow_interrupt_handler();
		static void		CompareMatchA_interrupt_handler();
};

#endif /* TIMER_H_ */