/*
 * Gpio_Interrupt.cpp
 *
 * Created: 01/07/2015 17:59:21
 *  Author: Reta
 */ 

#include "Gpio_Interrupt.h"

void Gpio_Interrupt::Int_PortB_enable(bool enable)
{
	if(enable)	PCICR |= (1 << PCIE0); // active interrupt on port B
	else		PCICR &= ~(1 << PCIE0); // desactive interrupt on port B
}

void Gpio_Interrupt::Int_PortC_enable(bool enable)
{
	if(enable)	PCICR |= (1 << PCIE1); // active interrupt on port C
	else		PCICR &= ~(1 << PCIE1); // desactive interrupt on port C
}

void Gpio_Interrupt::Int_PortD_enable(bool enable)
{
	if(enable)	PCICR |= (1 << PCIE2); // active interrupt on port D
	else		PCICR &= ~(1 << PCIE2); // desactive interrupt on port D
}

void Gpio_Interrupt::Int_PortB_ClearFlag()
{
	PCIFR &= ~(1 << PCIF0);			//clear flag on Port B
}

void Gpio_Interrupt::Int_PortC_ClearFlag()
{
	PCIFR &= ~(1 << PCIF1);			//clear flag on Port C
}

void Gpio_Interrupt::Int_PortD_ClearFlag()
{
	PCIFR &= ~(1 << PCIF2);			//clear flag on Port D
}