/*
 * car.cpp
 *
 * Created: 09/12/2014 17:45:57
 *  Author: Reta
 */ 

#include "car.h"

car::car()
{
	
}

gpio car::a1(Ddr_M1, Port_M1, Pin_A1);
gpio car::b1(Ddr_M1, Port_M1, Pin_B1);
gpio car::a2(Ddr_M2, Port_M2, Pin_A2);
gpio car::b2(Ddr_M2, Port_M2, Pin_B2);

//uint8_t * car::right_speed = ((uint8_t *)0);
//uint8_t * car::left_speed = ((uint8_t *)0);
//
//void car::en_left()
//{
	//pwm0::set_duty(left_speed);
//}
//
//void car::en_right()
//{
	//pwm2::set_duty(right_speed);
//}

void car::en_left(uint8_t value)
{
	pwm0::set_duty(value);
}

void car::en_right(uint8_t value)
{
	pwm2::set_duty(value);
}

//void car::setup(uint8_t * r_s, uint8_t * l_s)
void car::setup()
{		
	//right - derecha
	//car::right_speed = r_s;
	pwm2::timer_setup();
	car::a1.output();
	car::b1.output();				
	
	//left - izquierda
	//car::left_speed = l_s;
	pwm0::timer_setup();				
	car::a2.output();
	car::b2.output();
	
	stop();
}

void car::off(void)
{
	stop();
	
	pwm2::timer_off();
	car::a1.reset();
	car::b1.reset();

	pwm0::timer_off();
	car::a2.reset();
	car::b2.reset();	
}

void car::forward(void)
{
	// derecha
	en_right(0);	
	car::a1.low();
	car::b1.high();						
	
	//izquierda
	en_left(0);
	car::a2.high();						
	car::b2.low();						
}

void car::left(void)
{
	//derecha
	en_right(0);	
	car::a1.low();
	car::b1.high();
	
	//izquierda
	en_left(0);	
	car::a2.low();
	car::b2.high();
}

void car::right(void)
{
	//derecha
	en_right(0);
	car::a1.high();
	car::b1.low();		
	
	//izquierda
	en_left(0);
	car::a2.high();
	car::b2.low();
}

void car::back(void)
{
	//derecha
	en_right(0);
	car::a1.high();
	car::b1.low();	
	
	//izquierda	
	en_left(0);
	car::a2.low();
	car::b2.high();
}

void car::stop(void)
{
	//derecha
	en_right(0);	// EN1 is 255, for not movement
	car::a1.low();
	car::b1.low();
	
	//izquierda
	en_left(0);	// EN2 is 255, for not movement
	car::a2.low();
	car::b2.low();
}

void car::direction(char rx)
{
	switch(rx) // el auto se mueve segun letra recivida
	{
		case 'W':
		forward();
		Uart::Send_string("The car is moving forward\n");
		break;
		
		case 'S':
		back();
		Uart::Send_string("The car is moving back\n");
		break;
		
		case 'D':
		right();
		Uart::Send_string("The car is moving to the right\n");
		break;
		
		case 'A':
		left();
		Uart::Send_string("The car is moving to the left\n");
		break;
		
		case 'G':
		stop();
		Uart::Send_string("The car is stop\n");
		break;
		
		default:;
	}
}
