/*
 * uart.h
 *
 * Created: 27/10/2014 17:42:46
 *  Author: Reta
 */ 


#ifndef __UART_H_INCLUDED__
#define __UART_H_INCLUDED__

#include "../constantes.h"
#include "../init.h"

class Uart 
{	
	public:
		static char Rx;
		static bool IsRx;
		static const uint8_t Tx_Length;				
		static char Tx[];
	
	private:	
		static int Receive_until(char * r_aux, char final_char);
	
	public:
						Uart();
		static void		setup(uint32_t baud, uint32_t frecuency_cpu);
		static void		reset_variable();
		static void		off();
		static void		Send_byte(uint8_t data);
		static void		Send_Word(uint16_t data);
		static void		Send_string(const char * str);
		static void		Send_int(uint16_t d);
		static void		Send_double(double d);
		static uint8_t	Receive();
		static uint8_t	Receive_int_until(char final_char);
		static float	Receive_float_until(char final_char);
		static void		Rx_Interrupt_Handler();
};

#endif /* UART_H_ */
